netDim = 1000; 
connectivity = 0.01;
inputLength = 1;
outputLength = 1;
totalDim = netDim + inputLength + outputLength;
spectralRadius = 1;
outputFeedbackScaling = 1;


% internal weight matrix 

intWM = sprand(netDim, netDim, connectivity);
intWM = spfun(@minusPoint5,intWM);
maxval = max(abs(myeigs(intWM,1)));
intWM = intWM/maxval;
intWM = spectralRadius * intWM;

% 
% intWM = spectralRadius * genspmatspecrad1(netDim,connectivity);
% intWM = sparse(intWM);

% input weight matrix has weight vectors per input unit in colums
inWM = 2.0 * rand(netDim, inputLength)- 1.0;

% output weight matrix has weights for output units in rows
% includes weights for input-to-output connections
initialOutWM = zeros(outputLength, netDim + inputLength);

%output feedback weight matrix has weights in columns
ofbWM = outputFeedbackScaling * (2.0 * rand(netDim, outputLength)- 1.0);

