function historyVector = solToVec(dde23Solution, incrementsperUnit)
% solToVec transforms a solution of a previous call to dde23, which must be
% defined in the interval [-17,0], to a column vector historyVector, by
% sampling  the solution. The sample stepsize is incrementsperUnit per
% unit. Thus the length of historyVector is 17 * incrementsperUnit + 1.
sample = deval(dde23Solution,-17:(1/incrementsperUnit):0);
historyVector = sample';