function dydt = MGDDEquation(t,y,Z)
% the MG delay differential equation
% t is time, y is value, Z is MG value at tau delay before y
ylag = Z(:,1); 
dydt = 0.2 * ylag(1)/(1.0 + ylag(1)^10) - 0.1 * y(1);