addpath('e:\herbert\ESNmatlab\common');
numberOftests = 50;
NRMSE84List = zeros(numberOftests,1);
recordNRMSE84 = 10;
for learntests = 1:numberOftests
    generateNet;
    generateMGSequence;
    learn;
    generateMGTestSequence;
    test;
    NRMSE84List(learntests, 1) = NRMSE84;
     if NRMSE84 < recordNRMSE84
        recordNRMSE84 = NRMSE84;
        save bestModel  intWM  inWM outWM ofbWM;
    end
end
 save NRMSE84List NRMSE84List;


% result: stats of one run of 36 trials. NRMSE84List is saved and can be
% inspected.

% log10(max): -3.0749
% log10(min): -4.8580
%     mean: 7.5706e-005
%  mean(log10) -4.3328
% stddev(log10): 0.3702
% mean(log10(.)): -4.2513
% stddev(log10(.)): 0.3794
