function r = genspmatspecrad1complex(dim,con)
% genspmatspecrad1(dim,con)
% generates a square matrix of dimension dim
% with spectral radius 1, with connectivity con
% with complex coefficients
r = zeros(dim, dim);
for k = 1:dim
    for j = 1:dim
        if rand < con
            r(k,j) = (rand-0.5) + i*(rand-0.5);
        end
    end
end
maxval = max(abs(eig(r)));
r = r/maxval;
