function v = randvecFineGrained(randvec, incPerUnit)
% takes a random column vector randvec and transforms it into a column vector v that
% has length length(randvec)*incPerUnit + 1 and has the values of randvec
% in blocks of length incPerUnit, with randvec(1,1) in the first place.
v = zeros(length(randvec)*incPerUnit + 1 , 1);
v(1,1) = randvec(1,1);
for i = 1:length(randvec)*incPerUnit
    randIndex = ceil(i/incPerUnit);
    v(i+1,1) = randvec(randIndex,1);
end
    